- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Static Public Member Functions | Friends

# FbxCriteria Class Reference

This reference page is linked to from the following overview topics: FBX Objects, List of Python Fbx classes.

Search for all occurrences

## Detailed Description

Defines a filtering criteria for a query of objects, connections and properties, so that only those satisfying the criteria are affected by the query.

Some examples of kinds of criteria are object type, connection type, or property. Criteria can be combined using logical operators such as "and" and "or"

Note:
  Objects are basic elements in FBX. Each of them has a hierarchy type and some properties. Objects and properties can be connected through a connection to represent a relationship between them. (e.g. child-parent, container membership, reference, etc.,). In a query, you could select object or properties based on these criteria. Here are some examples:

       FbxObject* lObject = FbxObject::Create(lManager, "Object");
       int lSrcLightCount = lObject->RootProperty.GetSrcObjectCount(FbxCriteria::ObjectType(FbxLight::ClassId));
       int lSrcDeformerCount = lObject->RootProperty.GetSrcObjectCount(FbxCriteria::ObjectIsA(FbxDeformer::ClassId));
       int lSrcPropertyCount = lObject->RootProperty.GetSrcCount(FbxCriteria::IsProperty());

See also:
  FbxQuery
  FbxProperty::GetSrcObjectCount(const FbxCriteria&) const
  FbxCollection::GetMemberCount(FbxCriteria) const
  FbxLibrary::ImportAssets(FbxLibrary*, const FbxCriteria&)

Definition at line 123 of file fbxquery.h.

`#include <fbxquery.h>`

List of all members.

## Classes
class | ClassIdCache
class | ClassIdCompare
## Public Member Functions
| FBXSDK_FRIEND_NEW ()
| FbxCriteria ()
| Default constructor.
| FbxCriteria (const FbxCriteria &pCriteria)
| Copy constructor.
| ~FbxCriteria ()
| Destructor.
FbxCriteria & | operator= (const FbxCriteria &pCriteria)
| Assignment operator.
FbxCriteria | operator&& (const FbxCriteria &pCriteria) const
| Gets a logical conjunction (and) criteria from this and the specified criteria.
FbxCriteria | operator|| (const FbxCriteria &pCriteria) const
| Gets a logical disjunction (or) criteria from this and the specified criteria.
FbxCriteria | operator! () const
| Returns a negated version of the criteria.
FbxQuery * | GetQuery () const
| Retrieves the query.
| FbxCriteria (FbxQuery *pQuery)
## Static Public Member Functions
static FbxCriteria | ObjectType (FbxClassId pClassId)
| Creates a new query criteria that only selects objects which have a specific class ID or derive from a class with a specific class ID.
static FbxCriteria | ObjectIsA (FbxClassId pClassId)
| Creates a new query criteria that only selects objects which have a specific class ID.
static FbxCriteria | IsProperty ()
| Creates a new query criteria that only selects properties.
## Friends
class | FbxManager

## Constructor & Destructor Documentation

FbxCriteria | ( |  | ) |

Default constructor.

FbxCriteria | ( | const FbxCriteria & | pCriteria | ) |

Copy constructor.

Parameters:

  pCriteria | The criteria to be copied

~FbxCriteria | ( |  | ) |

Destructor.

FbxCriteria | ( | FbxQuery * | pQuery | ) | `[inline]`

Definition at line 185 of file fbxquery.h.

                                      : mQuery(pQuery)
        {
        }

## Member Function Documentation

FBXSDK_FRIEND_NEW | ( |  | ) |

Search for all occurrences

static FbxCriteria ObjectType | ( | FbxClassId | pClassId | ) | `[static]`

Search for all occurrences

Creates a new query criteria that only selects objects which have a specific class ID or derive from a class with a specific class ID.

Parameters:

  pClassId | The base type class ID

static FbxCriteria ObjectIsA | ( | FbxClassId | pClassId | ) | `[static]`

Search for all occurrences

Creates a new query criteria that only selects objects which have a specific class ID.

Parameters:

  pClassId | The type class ID

static FbxCriteria IsProperty | ( |  | ) | `[static]`

Search for all occurrences

Creates a new query criteria that only selects properties.

FbxCriteria& operator= | ( | const FbxCriteria & | pCriteria | ) |

Assignment operator.

Parameters:

  pCriteria | The criteria to be copied

FbxCriteria operator&& | ( | const FbxCriteria & | pCriteria | ) | const

Gets a logical conjunction (and) criteria from this and the specified criteria.

Parameters:

  pCriteria | The specified criteria

FbxCriteria operator|| | ( | const FbxCriteria & | pCriteria | ) | const

Gets a logical disjunction (or) criteria from this and the specified criteria.

Parameters:

  pCriteria | The specified criteria

FbxCriteria operator! | ( |  | ) | const

Returns a negated version of the criteria.

FbxQuery* GetQuery | ( |  | ) | const

Search for all occurrences

Retrieves the query.

Returns:
  The query of this criteria

## Friends And Related Function Documentation

friend class FbxManager `[friend]`

Search for all occurrences

Definition at line 221 of file fbxquery.h.

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxquery.h

FbxCriteria FbxCriteria FbxCriteria FbxCriteria FbxCriteria FbxCriteria FbxCriteria FbxCriteria FbxCriteria FbxCriteria
FbxCriteria FbxCriteria FbxCriteria FbxCriteria FbxCriteria FbxCriteria FbxCriteria FbxCriteria FbxCriteria FbxCriteria